******************************************************************************
* PROGRAM ----: KBCOLUMN.PRG 
* AUTHOR -----: Kevin E. Saffer 
* COPYRIGHT --: None, placed into the public domain
* CREATED ----: 6/16/1994 at 12:10
******************************************************************************
#include "fivewin.ch"

******************************************************************************
* class definition, instance variables, and method prototypes
******************************************************************************
CLASS KbColumn

  DATA cHeader     // header text
  DATA bData       // code block to return column data IN CHARACTER FORMAT!
  DATA cFooter     // footer text
  DATA nProgWidth  // programmer selected cell width in pixels
  DATA nJustify    // header/footer cell justification
  DATA nCellWidth  // system calculated cell width in pixels
  DATA nScreenCol  // screen position for displayed data

  METHOD New( cHeader, bData, cFooter, nProgWidth, nJustify ) CONSTRUCTOR

ENDCLASS

******************************************************************************
METHOD New( cHeader, bData, cFooter, nProgWidth, nJustify ) CLASS KbColumn
******************************************************************************

  DEFAULT cHeader := NIL, ;
          bData := { || NIL }, ;
          cFooter := NIL, ;
          nProgWidth := NIL, ;
          nJustify := 0

  ::cHeader := cHeader
  ::bData := bData
  ::cFooter := cFooter
  ::nProgWidth := nProgWidth
  ::nJustify := nJustify
  ::nCellWidth := 10
  ::nScreenCol := 0

RETURN NIL

